function MicroFigure(tau,belief,phi,mue,Vbs)

% get size of computer monitor and plot over 60% of the monitor
    v = get(0,'MonitorPosition');
    set(gcf,'PaperPositionMode','auto','Position', .6*v);

% Create subplots

    % search productivity eta over unemployment spell
        subplot(2,2,1)
        plot(tau,belief,'.k')
        title('belief','FontSize',20)
        set(gca,'FontSize',20) 
        axis([0 36 0 .1]);
        axis 'auto y'
        
    % plot values of unemployment over the unemployment spell
        subplot(2,2,2);
        plot(tau,Vbs,'.k');
        title('value of unemployment','FontSize',20)
        set(gca,'FontSize',20) 
        axis([0 36 0 0.4]);
        axis 'auto y'
        
    % plot search effort phi over the unemployment spell
        subplot(2,2,3)
        plot(tau,phi,'.k');
        title('effort','FontSize',20)
        set(gca,'FontSize',20) 
        axis([0 36 0 600]);
        axis 'auto y'

    % plot job arrival rate mue over unemployment spell for b2, b2=0, b2=b1
        subplot(2,2,4)
        plot(tau,mue(1,:),'-k',tau,mue(2,:),'--k',tau,mue(3,:),'.k');
        title('true and subjective exit rates','FontSize',20)
        set(gca,'FontSize',20) 
        xlim([0 36]);
        %axis([0 36 0 0.4]);
        %axis 'auto y'

end