function productivityWageJ(Avector,VarData,J,kappa,K)

% get size of computer monitor and plot over 60% of the monitor
    v = get(0,'MonitorPosition');
    set(gcf,'PaperPositionMode','auto','Position', .4*v);
    
  % get the relative wages and J (divided by productivity)  
    AvecJ=ones(1,K); AvecWage=ones(1,K);

    for j=1:K
        JAvec(1,j)=J(1,j)/Avector(1,j);
        WageAvec(1,j)=VarData(1,j)/ Avector(1,j); 
    end
    
% %productivity vs. wage/J
    figure(9)
    grid on
    
    subplot(2,2,1);plot(Avector(1:K),VarData(1,:)/(1-kappa),'o',Avector(1:K),Avector(1:K),'--k'); %productivity vs. wage
    title('gross wage (productivity on horizontal axis)','FontSize',18)
    set(gca,'FontSize',10) 
    
    subplot(2,2,2);plot(Avector(1:K),J,'ok')            % productivity vs. . J
    title('firm value J','FontSize',18)
    set(gca,'FontSize',10) 
    
    subplot(2,2,3);plot(Avector(1:K),JAvec(1:K),'ok') %relative plots
    title('firm value relative to productivity J/A','FontSize',18)
    set(gca,'FontSize',10) 
    
    subplot(2,2,4);plot(Avector(1:K),WageAvec(1:K),'ok')        
    title('net wage relative to productivity w/A','FontSize',18)
    set(gca,'FontSize',10)

end