% Getting the pictures 3-5 for the paper
clear
close all


%% Getting the data for the basic & mirrored graph type

%Create the matrixes with values of each required variable for all the
%groups analysed. Get them by looping over GE_compStatic_i files that encompass
%the values for different steps of the reform (steps 1 to 5)


for i=1:6
    str=sprintf('GE_compStatic_%d', i);
    load(str)
    
    if round == 1
        effort=effortIniVector;
        tightness=VarData(7,:);
        arrivalRate=mueBarVector;
        unemplRates = uRates;
        tax=kappa;
        wage=VarData(1,:);
        gross_wage=VarData(1,:)./(1-kappa);
        J_all=J;
        workersValue=Vw;
        value_of_unemp_at_0=V0;
        value_of_unemp_at_1y=VOneYear';
        bUA=VarData(11,:);
        sbar=VarData(9,:);
        EU_all = EU;       
    else
        effort=[effort;effortIniVector];    %append the vectors with values before the reform with values from the subsequent reform steps
        tightness=[tightness; VarData(7,:)];
        arrivalRate=[arrivalRate; mueBarVector];
        unemplRates = [unemplRates; uRates];
        tax=[tax;kappa];
        wage=[wage;VarData(1,:)];
        gross_wage=[gross_wage; VarData(1,:)./(1-kappa)];
        J_all=[J_all;J];
        workersValue=[workersValue; Vw];
        value_of_unemp_at_0=[value_of_unemp_at_0; V0];
        value_of_unemp_at_1y=[value_of_unemp_at_1y; VOneYear'];
        bUA=[bUA;VarData(11,:)];
        sbar=[sbar;VarData(9,:)];
        EU_all = [EU_all; EU];
               
    end
end
%load EU
EU = EU_all; 
clear str EU_all
clear uRate kappa VarData mueBarVector J Vw V0 preci round i InvData
save('paperGraphsDataBasic.mat')


%% Getting the normalised data



%Create the matrixes with values of each required variable for all the
%groups analysed. Get them by looping over GE_compStatic_i files that encompass
%the values for different steps of the reform (steps 1 to 5)
for i=2:6
        effort(i,:)=effort(i,:)./effort(1,:);    %normalise all the subsequent steps by dividing them by the pre-reform values
        tightness(i,:)=tightness(i,:)./tightness(1,:);
        arrivalRate(i,:)=arrivalRate(i,:)./arrivalRate(1,:);
        unemplRates(i,:) = unemplRates(i,:)./unemplRates(1,:);
        tax(i,1)=tax(i,1)/tax(1,1);
        wage(i,:)=wage(i,:)./wage(1,:);
        gross_wage(i,:)=gross_wage(i,:)./gross_wage(1,:);
        J_all(i,:)=J_all(i,:)./J_all(1,:);
        workersValue(i,:)=workersValue(i,:)./workersValue(1,:);
        value_of_unemp_at_0(i,:)=value_of_unemp_at_0(i,:)./value_of_unemp_at_0(1,:); 
        value_of_unemp_at_1y(i,:)=value_of_unemp_at_1y(i,:)./value_of_unemp_at_1y(1,:);
        bUA(i,:)=bUA(i,:)./bUA(1,:);
        sbar(i,:)=sbar(i,:)./sbar(1,:);
        EU(i,:)=EU(i,:)./EU(1,:);
end

 % disp('GraphsData: EU still missing - remove %')  

        effort(1,:)=ones(1,6);    %set the pre-reform values to one
        tightness(1,:)=ones(1,6);
        arrivalRate(1,:)=ones(1,6);
        unemplRates(1,:) = ones(1,6);
        tax(1,1)=1;
        wage(1,:)=ones(1,6);
        gross_wage(1,:)=ones(1,6);
        J_all(1,:)=ones(1,6);
        workersValue(1,:)=ones(1,6);
        value_of_unemp_at_0(1,:)=ones(1,6); 
        value_of_unemp_at_1y(1,:)=ones(1,6);
        sbar(1,:)=ones(1,6);
        EU(1,:)=ones(1,6);
        bUA(1,:)=ones(1,6);

save('paperGraphsDataNormalised.mat')