function VarData = InputVariableData(ChoiceVarData)
        
% structure of DataMatrix with variable paras

%{
VarData    =  1  wage
              2  productivity
              3  size    % headcount
              4  eta0    % arrival rate
              5  eta1
              6  lamda0  % separation rate
              7  theta % (was lambda1 - but each worker has one separation rate only)
              8  xiUI   = omega*rhoUI
              9  sBar % in full months, i.e. 12, 13 ...
             10  gamma (cost of vacancy) - is computed by solve_PRSS
%}
                
%% types k and estimates

F = 4*10^6; % labour force

if ChoiceVarData == 1 % 1- gives the real variable data, 2- data for testing the monotonicity 

%               'E'='east', 'W'='west', 'H'='high-skilled', 'M'='medium-skilled', 'L'='low-skilled'

%               W-H         W-M         W-L         E-H         E-M         E-L         repr.agent  unconditional
    VarData =  [1528.89     1304.68     988.95      1290.68     1020.37     892.11      1166.26     1166.26;
                NaN         NaN         NaN         NaN         NaN         NaN         NaN         NaN;
                0.1794*F    0.4397*F    0.1916*F    0.0601*F    0.1120*F    0.0172*F    F           F;
                0.0194      0.0227      0.0193      0.0272      0.0352      0.0314      0.0267      0.0167;
                0.0821      0.0961      0.0819      0.1154      0.1490      0.1330      0.1132      0.0911;
                0.0054      0.0081      0.0120      0.0150      0.0200      0.0290      0.0133      0.0112;
                0.5362      0.3120      0.1870      0.1484      0.1068      0.2405      0.2435      0.2435;
                NaN         NaN         NaN         NaN         NaN         NaN         NaN         NaN;
                13          12          11          15          12          12          12          12;
                NaN         NaN         NaN         NaN         NaN         NaN         NaN         NaN];
            
    % the following row shows pi^UI
        piUI = [0.4722      0.5413      0.4107      0.7353      0.6250      0.6667      0.5657      0.5657];
    % compute and save xiUI    
        xiUI = piUI * 0.65;  
        VarData(8,:) = xiUI; % xiUI = pi^UI * rhoUI;   where:  rhoUI = 0.65 (see InvData)

    % message    
        disp('InputVariableData: working with true data. VarData given by:')
        format short g
        disp(VarData)
    
else 
    error('not yet adjusted to 6 groups')
    VarData =  [800     900     1000    1100    1200    1300    1400    1500;
                NaN     NaN     NaN     NaN     NaN     NaN     NaN     NaN;
                F/8     F/8     F/8     F/8     F/8     F/8     F/8     F/8;
                0.02  0.02  0.02  0.02  0.02  0.02  0.02  0.02;
                0.1     0.1     0.1     0.1     0.1     0.1     0.1     0.1;
                0.02    0.02    0.02    0.02    0.02    0.02    0.02    0.02;
                NaN     NaN     NaN     NaN     NaN     NaN     NaN     NaN;
                .3      .3       .3     .3      .3      .3      .3      .3;
                14      13      12      12      6       12      10      13];
end

ConstructEquil = 0; % 1: construct auxiliary VarData to find many-group-equilibrium. Else: keep VarData from above
if ConstructEquil == 1
    VarDataAux = VarData(:,1);
    VarData = [];
    for loop = 1:8
        VarData = [VarData, VarDataAux];
    end
    disp('InputVariableData: working with artifical data! VarData given by:')
    disp(VarData)
end

      
end