% PRSS_effort
    load figure_PRSS.mat
    load PRSS.mat
    
    infinity = InvData(13);
    tau=linspace(1,infinity,infinity);
    disp('works only when solve_PRSS ran beforehand. Otherwise PRSS_data does not exist')
    
% get size of computer monitor and plot over 60% of the monitor
    v = get(0,'MonitorPosition');
    set(gcf,'PaperPositionMode','auto','Position', .6*v);
    set(0,'DefaultAxesColorOrder',[0 0 0], 'DefaultAxesLineStyleOrder','-|--|-.|-d|--d|-.d')

% Create subplots

%    figure

    % search productivity eta over unemployment spell
        subplot(2,2,1)
        plot(tau,belief_eff(1,:),'.k')
        title('belief','FontSize',20)
        set(gca,'FontSize',20) 
        axis([0 36 0 .1]);
        axis 'auto y'
        
    % plot values of unemployment over the unemployment spell
        subplot(2,2,2);
        plot(tau,Vbs(1,:),'.k');
        title('value of unemployment','FontSize',20)
        set(gca,'FontSize',20) 
        axis([0 36 0 0.4]);
        axis 'auto y'
        
    % plot search effort phi over the unemployment spell 
        for k=1:K % plot different groups (1-6)
            subplot(2,2,3)      
            plot(tau,effort_path(k,:)); 
            title('effort paths for different groups','FontSize',20) % fontsize title
            set(gca,'FontSize',16) % fontsize axes
            xlim([0 36]);
            hold all
%            disp('Plot_PRSS:')
 %           [k K]
        end
        
        h=legend('West-High','West-Medium', 'West-Low', 'East-High', 'East-Medium', 'East-Low');
       % set(h,'Interpreter','none'); legend('boxoff')
        set(h,'Interpreter','none', 'FontSize',16); legend('boxoff') % fontsize legend

    % plot job arrival rate mue over unemployment spell for b2, b2=0, b2=b1
        subplot(2,2,4)
        plot(tau,mue_eff1(1,:),'-k',tau,mue_eff2(1,:),'--k',tau,mue_eff3(1,:),'.k');
        title('true and subjective exit rates','FontSize',20)
        set(gca,'FontSize',20) 
        xlim([0 36]);
        %axis([0 36 0 0.4]);
        %axis 'auto y'
        
    % save        
        saveas(gcf,'Effort_PRSS','eps')