% PRSS_effort
    load figure_PRSS.mat
    load PRSS.mat
    
    infinity = InvData(13);
    tau=linspace(1,infinity,infinity);
    
% get size of computer monitor and plot over 60% of the monitor
    v = get(0,'MonitorPosition');
    set(gcf,'PaperPositionMode','auto','Position', .6*v);
    set(0,'DefaultAxesColorOrder',[0 0 0], 'DefaultAxesLineStyleOrder','-|--|-.|-d|--d|-.d')

% Create subplots

%    figure

    % search productivity eta over unemployment spell
        subplot(2,3,1)
        plot(tau,belief_eff)
        title('belief','FontSize',20)
        set(gca,'FontSize',20) 
        axis([0 36 0 .5]);
        %axis 'auto y'
        
    % plot values of unemployment over the unemployment spell
        for i = 1:length(Vbs)
            Vbs_norm(:,i) = Vbs(:,i) ./ Vbs(:,1); % normalized to one for first value
        end
        subplot(2,3,2);
        plot(tau,Vbs_norm);
        title('value of unemployment','FontSize',20)
        set(gca,'FontSize',20) 
        axis([0 36 .975 1]);
        
    % plot search effort phi over the unemployment spell 
        subplot(2,3,3)      
        plot(tau,effort_path); %(k,:) 
        title('effort','FontSize',20) % fontsize title
        set(gca,'FontSize',16) % fontsize axes
        xlim([0 36]);
        
    % plot job arrival rate mue over unemployment spell for chi = 0
        subplot(2,3,4)
        plot(tau,mue_eff2);
        title('true exit rates (\chi=1)','FontSize',20)
        set(gca,'FontSize',20) 
        axis([0 36 .05 .18]);
        
        
    % plot job arrival rate mue over unemployment spell for chi = 1
        subplot(2,3,5)
        plot(tau,mue_eff1);
        title('true exit rates (\chi=0)','FontSize',20)
        set(gca,'FontSize',20) 
        xlim([0 36]);
        
    % legend
        subplot(2,3,6)
        
        % this is a fake subplot, just to show legend here
            changI=0:1:5;
            leg2=plot(changI, 0);
            ylim([1 2])
            set(gca,'FontSize',20)
            axis(leg2,'off')
        
        h=legend('West-High','West-Medium', 'West-Low', 'East-High', 'East-Medium', 'East-Low','Location','NorthWest');
        set(h,'Interpreter','none', 'FontSize',16); legend('boxoff') % fontsize legend
        
    % save        
        saveas(gcf,'Effort_PRSS','eps')