% ShowUnemploymentRates
clear
close all

%% load data

    load GE_compStatic_1
    disp('PRSS unemployment rates (in %)')
    uRates_PRSS = uRates*100

    load GE_compStatic_2
    disp('Hartz unemployment rates (in %)')
    uRates_Hartz = uRates*100


%% compute change in unemployment rate by skill group

    disp('reduction of unemployment rates (minus: uRate rose) in percentage points')
    uRates_PRSS - uRates_Hartz

%% compute aggregate change

    F = 4*10^6; % labour force (copied from InputVariableData.m)
    groupShare = VarData(3,1:6)/F; % this works for six groups only
    uRatePRSSAggregate = groupShare * uRates_PRSS'; 
    uRateHartzAggregate = groupShare * uRates_Hartz';
    uP = uRatePRSSAggregate; uH = uRateHartzAggregate;
    fprintf('the aggregate uRate before the reform is %g. After Hartz, it is %g,\n implying a reduction of %g percentage points\n',uP,uH,uP-uH)