clear
load GE_compStatic_1

disp('Here are pre-reform steady state results (as shown in table in paper)')

WH='WH'; WM='WM'; WL='WL';
EH='EH'; EM='EM'; EL='EL';

mueBarVectorII=exp(-mueBarVector).*mueBarVector;

groups={'group name'; 'WH'; 'WM'; 'WL'; 'EH'; 'EM'; 'EL'};
wage={'wage'; VarData(1,1); VarData(1,2); VarData(1,3); VarData(1,4); VarData(1,5); VarData(1,6)};
tightness= {'theta'; VarData(7,1); VarData(7,2); VarData(7,3); VarData(7,4); VarData(7,5); VarData(7,6)};
arrivalRate={'mue'; mueBarVector(1,1); mueBarVector(1,2); mueBarVector(1,3); mueBarVector(1,4); mueBarVector(1,5); mueBarVector(1,6)};
arrivalRateII={'jobFindProb'; mueBarVectorII(1,1); mueBarVectorII(1,2); mueBarVectorII(1,3); mueBarVectorII(1,4); mueBarVectorII(1,5); mueBarVectorII(1,6)};
unempl_rate={'unempl_rate'; uRates(1,1);uRates(1,2);uRates(1,3);uRates(1,4);uRates(1,5);uRates(1,6)};

sbar= {'sbar'; VarData(9,1); VarData(9,2); VarData(9,3); VarData(9,4); VarData(9,5); VarData(9,6)};

eta0={'eta0'; VarData(4,1); VarData(4,2); VarData(4,3); VarData(4,4); VarData(4,5); VarData(4,6)};
lambda={'lambda'; VarData(6,1); VarData(6,2); VarData(6,3); VarData(6,4); VarData(6,5); VarData(6,6)};
A={'productivity'; VarData(2,1); VarData(2,2); VarData(2,3); VarData(2,4); VarData(2,5); VarData(2,6)};
gamma={'vacancy cost'; VarData(10,1); VarData(10,2); VarData(10,3); VarData(10,4); VarData(10,5); VarData(10,6)}; 


% display
    equilibrium_values=[groups wage tightness arrivalRate arrivalRateII unempl_rate]
    aggregate_equilibrium_values={'tax rate', 'unemployment rate'; kappa, AggregateUrate} 
    policy_parameters=[groups sbar]
    predicted_parameters=[groups lambda eta0 A gamma]
    exogenous_parameters_and_aggregate_policy_parameters={'rho', 'beta','rhoUI', 'rhoUA', 'piUi'; InvData(1,3), InvData(1,5), 0.65, InvData(1,6), InvData(1,8)}
