function dVbs=Vp(s,Vbs,x,Vw,w,theta,dmx,regime,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw)
% this is the differential equation for the unemployed, V(b(s),s) conditional on th path of eta(s)

    % paras
        rho=x(1); lambda=x(2); eta0=x(3); alpha=x(4); sigma=x(5); eta1=x(6); h=x(13); steps_sbar=x(14); fsolveFlag=x(20);
        
        bUI=dmx(1);  bUA=dmx(2);
        
    % choose bUI if regime = 1 (short-term unemployed) or bUA if regime = 2 (long-term unemployed)
        if regime == 1; b = bUI; else b = bUA; end;
%{         
	% search effort phi
        if fsolveFlag == 4 || fsolveFlag == 8 % fsolveFlag = 4 -> for insurance effect by goIns.m, effort exogenous
            sbarPRSS = h*steps_sbar;
            if s <= sbarPRSS; % short-term unemployed
                f1s=deval(ins_Vb1s,s); Vb1s=f1s(1,:); p1s=f1s(2,:);
                phi= effort(x,s,ins_Vw,Vb1s,p1s,theta);
            else  % endogenous effort
                f2s=deval(ins_Vb2s,s); Vb2s=f2s(1,:); p2s=f2s(2,:);
                phi = effort(x,s,ins_Vw,Vb2s,p2s,theta);
            end;
        else
            phi = effort(ps,theta,Vw,Vbs,x); %(x,s,Vw,Vbs,ps,theta)
        end;
%}      
    % subjective time-dependence of the previous step
    eta_s=eta(s,x,theta,sole_sp,dmx);
    
    % differential equation / BE of the unemployed (equation A.5)
    dVbs=rho*Vbs-u(b,sigma,NaN,NaN,NaN)-((1-alpha)/alpha)*((alpha*eta_s*(theta^alpha)).^(1/(1-alpha))).*((Vw-Vbs).^(1/(1-alpha)));
end
