function [fv]=icld(x,dvx,theta)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
rho=x(1); lambda=x(2); eta0=x(3); eta1=x(4); alpha=x(5); sigma=x(6); p=x(7); p_chi=x(8); % disp(theta);
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
x_cmp=[rho;lambda;eta0;alpha;sigma;eta1;NaN*ones(14,1)];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
s1=dvx(3); s2=dvx(4); bUI=dvx(5); if dvx(6)==0; bUA=1e-004; else bUA=dvx(6); end; sbar=dvx(7); w=dvx(8); cz=dvx(9);
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
dvx_cmp=[bUI;bUA;sbar;NaN*ones(4,1)];  dvx_cmp_F=[bUI;1e-004;sbar;NaN*ones(4,1)];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
sbarid=isnan(sbar); s2id=isnan(s2);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  structure of InvData in simulation and estimation  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% simul %  alpha  sigma  rho  pIni  beta, rhoUA,  NaN, piHigh, piPass, thetaData, growthrate, NaN, infinity, OneYear, gamma, xiUA];
% estim %  alpha  sigma  rho  pIni  beta, bUI,    bUA, piHigh, piPass, thetaData, growthrate, NaN, infinity, OneYear, gamma, xiUA];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
InvData  =[alpha, sigma, rho, 0.5,  NaN,  bUI,    bUA,  p_chi,  p,     theta,     NaN,        NaN, 240,      NaN,     NaN,    NaN];
InvData_F=[alpha, sigma, rho, 0.5,  NaN,  bUI, 1e-004,  p_chi,  p,     theta,     NaN,        NaN, 240,      NaN,     NaN,    NaN];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%  structure of VarData in simultion and estimation  %%%%%%%%%%%
% simul %  wage  productivity  size  eta0  eta1  lamda0  NaN  xiUI  sBar
% estim %  wage      NaN       NaN   eta0  eta1  lamda0  NaN   NaN  sBar
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
VarData=[  w;        NaN;      NaN;  eta0; eta1; lambda; NaN;  NaN; sbar];


if sbarid == 0;
    [~,VbUI,VbUA,Vw,~,phialpha_sp]=block1(InvData,VarData,[],[],[]);
    
    if s2id == 1;
        hf_bUI_1=mux(s1,theta,Vw,VbUI,phialpha_sp,x_cmp,dvx_cmp,1);  ih_bUI_1=quad('mux',0,s1,[],[],theta,Vw,VbUI,phialpha_sp,x_cmp,dvx_cmp,1);
        hf_bUI_0=hf_bUI_1*(eta0/eta1);                               ih_bUI_0=ih_bUI_1*(eta0/eta1);
        
        [~,VbUI_F,~,Vw_F,~,phialpha_sp_F]=block1(InvData_F,VarData,[],[],[]);
        
        hf_bUI_1_F=mux(s1,theta,Vw_F,VbUI_F,phialpha_sp_F,x_cmp,dvx_cmp_F,1);  ih_bUI_1_F=quad('mux',0,s1,[],[],theta,Vw_F,VbUI_F,phialpha_sp_F,x_cmp,dvx_cmp_F,1);
        hf_bUI_0_F=hf_bUI_1_F*(eta0/eta1);                                     ih_bUI_0_F=ih_bUI_1_F*(eta0/eta1);
        
        fv_1=p*(hf_bUI_1^cz)*exp(-ih_bUI_1)+(1-p)*(hf_bUI_1_F^cz)*exp(-ih_bUI_1_F);
        fv_0=p*(hf_bUI_0^cz)*exp(-ih_bUI_0)+(1-p)*(hf_bUI_0_F^cz)*exp(-ih_bUI_0_F);
        
    else
        ih_bUI_1=quad('mux',0,sbar,[],[],theta,Vw,VbUI,phialpha_sp,x_cmp,dvx_cmp,1);
        ih_bUI_0=ih_bUI_1*(eta0/eta1);
        
        if bUA<1;
            [~,~,VbUA_F,Vw_F,~,phialpha_sp_F]=block1(InvData_F,VarData,[],[],[]);
            
            hf_bUA_1=mux(sbar+s2,theta,Vw_F,VbUA_F,phialpha_sp_F,x_cmp,dvx_cmp_F,1);  ih_bUA_1=quad('mux',sbar,sbar+s2,[],[],theta,Vw_F,VbUA_F,phialpha_sp_F,x_cmp,dvx_cmp_F,1);
            hf_bUA_0=hf_bUA_1*(eta0/eta1);                                            ih_bUA_0=ih_bUA_1*(eta0/eta1);
            
            ld=1-p;
        else
            
            hf_bUA_1=mux(sbar+s2,theta,Vw,VbUA,phialpha_sp,x_cmp,dvx_cmp,1);  ih_bUA_1=quad('mux',sbar,sbar+s2,[],[],theta,Vw,VbUA,phialpha_sp,x_cmp,dvx_cmp,1);
            hf_bUA_0=hf_bUA_1*(eta0/eta1);                                    ih_bUA_0=ih_bUA_1*(eta0/eta1);
            
            ld=p;
        end;
        
        fv_1=exp(-ih_bUI_1)*ld*(hf_bUA_1^cz)*exp(-ih_bUA_1);
        fv_0=exp(-ih_bUI_0)*ld*(hf_bUA_0^cz)*exp(-ih_bUA_0);
        
    end;
    
else
    if bUA<1;
        [~,~,VbUA_F,Vw_F,~,phialpha_sp_F]=block1(InvData_F,VarData,[],[],[]);
        
        hf_bUA_1=mux(s2,theta,Vw_F,VbUA_F,phialpha_sp_F,x_cmp,dvx_cmp_F,1);  ih_bUA_1=quad('mux',0,s2,[],[],theta,Vw_F,VbUA_F,phialpha_sp_F,x_cmp,dvx_cmp_F,1);
        hf_bUA_0=hf_bUA_1*(eta0/eta1);                                       ih_bUA_0=ih_bUA_1*(eta0/eta1);
        
        ld=1-p;
    else
        
        [~,~,VbUA,Vw,~,phialpha_sp]=block1(InvData,VarData,[],[],[]);
        
        hf_bUA_1=mux(s2,theta,Vw,VbUA,phialpha_sp,x_cmp,dvx_cmp,1);  ih_bUA_1=quad('mux',0,s2,[],[],theta,Vw,VbUA,phialpha_sp,x_cmp,dvx_cmp,1);
        hf_bUA_0=hf_bUA_1*(eta0/eta1);                               ih_bUA_0=ih_bUA_1*(eta0/eta1);
        
        ld=p;
    end;
    
    fv_1=ld*(hf_bUA_1^cz)*exp(-ih_bUA_1);
    fv_0=ld*(hf_bUA_0^cz)*exp(-ih_bUA_0);

end;

fv=p_chi*fv_1+(1-p_chi)*fv_0;

