clear
tic

% paras from PRSS
    load PRSS % to get initial values and parameter values
    
    for k = 1:K
        fprintf('solve_GE: productivity of skill-type %g: %g and cost of vacancy: %g\n',k, VarData(2,k),gamma(k))
    end
    
%% search for GE

% initial conditions    
    wage0 = VarData(1,1:K); theta0 = VarData(7,1:K);
    y0 = [wage0,theta0];
    
% it seems like initial conditions are solution of GE - this needs to be so!!
% to check this, distort ini conds
%   y0 = y0*1.1;
    
% flags
	AwFlag = 2; % block 2 is solved for wk theta and kappa
    ChoiceVarData= 1; %1- gives the real variable data, 2- data for testing the monotonicity

% start fsolve

    matlabpool open local 6
    options = optimset('Display','iter');
    [wTheta preci] = fsolve('block2',y0,options,InvData,VarData,K);
    matlabpool close
    
%    wTheta(1:K) = exp(wThetaAUX(1:K)); % wage vector
 %   wTheta(K+1) = exp(wThetaAUX(K+1)); % trick to keep variable positive
     wage = wTheta(1:K); theta = wTheta(K+1:2*K);
   
    disp('GE solved') 
    for k = 1:K
        fprintf('solve_GE: wage of worker-type k = %g (at productivity: %g and ini cond %g)\n', wage(k),VarData(2,k),VarData(1,k))
    end
    fprintf('solve_GE: tightness (theta): %g at ini cond: %g\n', theta, theta0)
    fprintf('solve_GE: precision of fsolve: %g\n',preci)
    
% compute corresponding block 1 values    
    
    [employmentVector,UshortVector,UlongVector,mueIniVector,effortIniVector,mueBarVector,V0,Vbs,Vw,EU] = KtimesBlock1(InvData,VarData,K);

% complete block 2
    % get the tax rate
        lambda = VarData(6,:);   
          
        xiUI = VarData(8); xiUA = InvData(16);

        kappa = taxrate(wage,employmentVector,xiUI,UshortVector,xiUA,UlongVector)
        J = (A - wage/(1-kappa))./(rho + lambda) % vector with all the J_k
%graph
        cd '3 analyse' %
        productivityWageJ(A,VarData,J,kappa,K) % (Avector,VarData,J,kappa,K)
        cd .. %
        
% save all
    save GE
    
% conclusion    
    toc
    if toc>60
        fprintf('elapsed time is %g minutes\n',toc/60)
    end
    if toc>3600
        fprintf('elapsed time is %g hours\n',toc/3600)
    end