function [lb,ub]=stvsearch(w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity)

% paras
rho=x(1); sigma=x(5); bUA=dmx(2);

% optinons for "ode45"
opt_ode=odeset('RelTol',1e-7,'AbsTol',1e-10);

s_ub=u(w,sigma,NaN,NaN,NaN)/rho; s_lb=u(bUA,sigma,NaN,NaN,NaN)/rho; mb=(s_ub+s_lb)/2;

zu=det_V_bUA_back(s_ub,w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode); % disp([zu]);
zl=det_V_bUA_back(s_lb,w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode);

if isreal(zu)==0;
    zn=det_V_bUA_back(mb,w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode);
    if (isreal(zn)==1) && (zn<0);
        ub_fv=[mb,zn]; % disp('oh!');
    else
        v_ub=(mb:(s_ub-mb)/11:s_ub)'; v_ub=sort(v_ub(2:rows(v_ub)-1),'descend');
        for i=1:rows(v_ub);
            zn=det_V_bUA_back(v_ub(i),w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode);
            if isreal(zn)==1; ub_fv=[v_ub(i),zn]; break; end;
        end;
    end;
else
    ub_fv=[s_ub,zu];
end;
if isreal(zl)==0;
    zn=det_V_bUA_back(mb,w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode);
    if (isreal(zn)==1) && (zn>0);
        lb_fv=[mb,zn]; % disp('ah!');
    else
        v_lb=(mb:(s_ub-mb)/11:s_ub)'; v_lb=sort(v_lb(2:rows(v_lb)-1),'ascend');
        for i=1:rows(v_lb);
            zn=det_V_bUA_back(v_lb(i),w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode);
            if isreal(zn)==1; lb_fv=[v_lb(i),zn]; break; end;
        end;
    end;
else
    lb_fv=[s_lb,zl];
end;

% disp([ub_fv;lb_fv]);

if ub_fv(2)<0;
    ub=ub_fv(1);
else
    ub=NaN; disp('ub!!!');
end;
if lb_fv(2)>0;
    lb=lb_fv(1);
else
    nmb=(mb+s_lb)/2;
    zn=det_V_bUA_back(nmb,w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode);
    if (isreal(zn)==1) && (zn>0);
        lb=nmb; % disp('uh!');
    else
        if isreal(zn)==0;
            n1mb=(mb+s_lb)/3; n2mb=(mb+s_lb)/9;
            zn=det_V_bUA_back(n1mb,w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode);
            if (isreal(zn)==1) && (zn>0);
                lb=n1mb;
            else
                v_lb=(n2mb:(n1mb-n2mb)/11:n1mb)'; v_lb=sort(v_lb(2:rows(v_lb)-1),'descend');
                for i=1:rows(v_lb);
                    zn=det_V_bUA_back(v_lb(i),w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode);
                    if zn>0; lb_fv=[v_lb(i),zn]; break; end;
                end;
                if lb_fv(2)>0; lb=lb_fv(1); else lb=NaN; disp('lb!!!'); end;
            end;
        else
            v_lb=(s_lb:(nmb-s_lb)/11:nmb)'; v_lb=sort(v_lb(2:rows(v_lb)-1),'descend');
            for i=1:rows(v_lb);
                zn=det_V_bUA_back(v_lb(i),w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode);
                if zn>0; lb_fv=[v_lb(i),zn]; break; end;
            end;
            if lb_fv(2)>0;
                lb=lb_fv(1);
            else
                v_lb=(s_lb:(v_lb(rows(v_lb))-s_lb)/11:v_lb(rows(v_lb)))'; v_lb=sort(v_lb(2:rows(v_lb)-1),'descend');
                for i=1:rows(v_lb);
                    zo=det_V_bUA_back(v_lb(i),w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode);
                    if zo>0; lb_fw=[v_lb(i),zo]; break; end;
                end;
                if lb_fw(2)>0; lb=lb_fw(1); else lb=NaN; disp('lb!!!'); end;
            end;
        end;
    end;
end;
end
